# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name dlist

# common part of summary for all the subpackages
%global common_summary Haskell differences lists

# main description used for all the subpackages
%global common_description Differences lists: a list-like type supporting O(1) append.\
This is particularly useful for efficient logging and pretty\
printing, (e.g. with the Writer monad), where list append\
quickly becomes too expensive.

Name:           ghc-%{pkg_name}
Version:        0.5
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

# define the shared, devel and prof subpkgs, devel scripts,
# and filelists: ghc-dlist.files, ghc-dlist-devel.files
%ghc_lib_package


%changelog
* Tue Jun 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.5-4
- Update to cabal2spec-0.23.2

* Sat May 21 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.5-3
- Update to cabal2spec 0.22.7

* Sun Apr 3 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.5-2
- Update to cabal2spec 0.22.5

* Sun Dec 19 2010 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.5-1
- Modified summary and description. License is BSD

* Sun Dec 19 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.5-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.3
